Bug 1302666 - SELinux is preventing sstpc from create access on the sock_file sstpc-nm-sstp-service-8849.
SELinux is preventing sstpc from create access on the sock_file sstpc-nm-sstp...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 06:00 EST by Grégoire
Modified: 2016-12-20 13:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:15:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grégoire 2016-01-28 06:00:33 EST
This prevents sstp VPN from starting. Note that it worked before so it might be due to a recent update...?

SELinux is preventing sstpc from create access on the sock_file sstpc-nm-sstp-service-8849.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sstpc should be allowed create access on the sstpc-nm-sstp-service-8849 sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sstpc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pppd_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                sstpc-nm-sstp-service-8849 [ sock_file ]
Source                        sstpc
Source Path                   sstpc
Port                          <Unknown>
Host                          freez-b
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.2.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     freez-b
Platform                      Linux freez-b 4.3.3-301.fc23.x86_64 #1 SMP Fri Jan
                              15 14:03:17 UTC 2016 x86_64 x86_64
Alert Count                   3
First Seen                    2016-01-28 11:55:02 CET
Last Seen                     2016-01-28 11:55:13 CET
Local ID                      adce6d2c-3328-42c0-bdd3-c0b345d0dfe4

Raw Audit Messages
type=AVC msg=audit(1453978513.868:2554): avc:  denied  { create } for  pid=8955 comm="sstpc" name="sstpc-nm-sstp-service-8849" scontext=system_u:system_r:pppd_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=sock_file permissive=0


Hash: sstpc,pppd_t,var_run_t,sock_file,create
Comment 1 Lukas Vrabec 2016-02-08 05:21:30 EST
Hi, 
where is "sstpc-nm-sstp-service-8849" sock_file stored? Thank you.
Comment 2 Grégoire 2016-02-08 05:36:56 EST
Hello. It is located in /run/sstpc. Note that the number at the end changes each time I restart the VPN.

I took a more detailed look at the audit.log and it seems that, in addition to the create permission, sstpc needs setattr and unlink permissions and pppd needs write permission on the same file.

I didn't remember this when reporting the bug but I'm using the NetworkManager plugin for sstp which is not in the fedora repository (installed from a copr repo).  So maybe I should have reported this to the author of the package instead?
Comment 3 Lukas Vrabec 2016-02-08 06:32:53 EST
Could you attach audit.log file or all AVCs in this file?

Thank you.
Comment 4 Fedora End Of Life 2016-11-24 10:14:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 13:15:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.